Bug 21862 - /sbin/sulogin accepts regular files as ttys
/sbin/sulogin accepts regular files as ttys
Product: Red Hat Linux
Classification: Retired
Component: SysVinit (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-12-06 19:15 EST by jdalbec
Modified: 2014-03-16 22:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-07 06:57:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jdalbec 2000-12-06 19:15:45 EST
#touch tmp
#sulogin tmp
#cat tmp
Give root password for maintenance
(or type Control-D for normal startup):

I ran into this issue when a buggy sulogin replacement (don't ask) executed
the command:
/sbin/sulogin /sbin/shutdown -h now 'REMOTE SHUTDOWN REQUESTED'
This corrupted the 'shutdown' executable to the point where it ran, but
gave strange error messages with pieces of the text of the sulogin prompt.
Comment 1 Bill Nottingham 2001-01-31 16:30:56 EST
Will be fixed in SysVinit-2.78-11. Thanks!

Note You need to log in before you can comment on or make changes to this bug.